﻿.swal2-confirm {
    margin-left: 10px;
}

.help {
    float: right;
    margin-top: -25px;
    background-color: white;
    border: 0px;
}

.nav-flag img {
    width: 30px !important;
    height: 30px !important;
}

.claseRoja {
    text-align: center;
    font-family: Arial;
    font-size: 24pt;
    color: red;
}

.claseVerde {
    text-align: center;
    font-family: Arial;
    font-size: 24pt;
    color: green;
}

.UpperCase {
    text-transform: uppercase;
}

.btn {
    margin: 0 0.5rem;
}

@font-face {
    font-family: 'asap-regular';
    src: url('../fonts/asap-regular.woff') format('woff'),url('../fonts/asap-regular.woff2') format('woff2');
    font-style: normal;
    font-weight: 100;
}

@font-face {
    font-family: 'asap-bold';
    src: url('../fonts/asap-bold.woff') format('woff'), url('../fonts/asap-bold.woff2') format('woff2');
    font-style: normal;
    font-weight: 100;
}

.help {
    float: right;
    margin-top: -25px;
    background-color: white;
    border: 0px;
}

body {
    font-family: "asap-regular" !important;
}


.footer-top {
    background: #303030;
    background-size: cover;
    background-position: center;
    padding: 0 0 1px;
    font-family: Asap,rubik,Arial;
}

.footer-top, .footer-bottom {
    background-color: #2940c0;
}

.pt-exebar {
    margin-bottom: 10px;
    border-top: 6px solid #fff;
}

.footer-title {
    margin-bottom: 2px;
    color: #fff;
    font-weight: 500;
    padding-bottom: 14px;
    font-size: 15px;
    position: relative;
    text-align: center;
}

    .footer-title:after {
        width: 130px;
        background: #fff;
        opacity: 1;
        height: 1px;
        content: "";
        position: absolute;
        bottom: 10px;
        left: 44%;
    }

.divBorder {
    border-width: thin;
    border-color: #FFFFFF;
    border-right-style: solid;
    border-left-style: solid;
}

.divBorder1 {
    border-width: thin;
    border-color: #FFFFFF;
    border-left-style: solid;
}

.widget {
    margin-bottom: 5px;
}

footer .widget ul {
    list-style: none;
    margin-top: 5px;
}

footer li {
    font-size: 13px;
    line-height: 22px;
    display: inline;
    padding: 3px;
}

footer .widget ul {
    list-style: none;
    margin-top: 2px;
}

footer {
    clear: both;
    position: relative;
    margin-top: auto;
}

nav {
    position: relative;
}

    nav ul {
        list-style: none;
        margin: 0;
        padding: 0;
    }

        nav ul li {
            /* Sub Menu */
        }

            nav ul li a {
                display: block;
                padding: 10px 15px;
                color: #ced4da;
                text-decoration: none;
                -webkit-transition: 0.2s linear;
                -moz-transition: 0.2s linear;
                -ms-transition: 0.2s linear;
                -o-transition: 0.2s linear;
                transition: 0.2s linear;
            }

                nav ul li a:hover {
                    background: #1d4f71 !important;
                    color: #fff !important;
                    text-decoration: none !important;
                }

                nav ul li a .fa {
                    width: 16px;
                    text-align: center;
                    margin-right: 5px;
                    float: right;
                }

        nav ul ul {
            background: rgba(0, 0, 0, 0.2);
        }

        nav ul li ul li a {
            border-left: 4px solid transparent;
            padding: 0.625rem 1.5rem 0.625rem 2.75rem;
        }

            nav ul li ul li a:hover {
                border-left: 4px solid #3498db;
            }

.iconRigth {
    top: 1.2rem;
    right: 1.5rem;
    position: absolute;
}

.spanTittle {
    padding-left: 10px;
}

.custom-btnf {
    background-color: #E41D86 !important;
    color: #ffef !important;
}




.custom-btnG {
    background-color: #E41D86 !important;
    color: #808080 !important;
}

.customContent {
    margin-bottom: 10.5rem !important;
}

.footerWidth {
    position: fixed !important;
    margin: auto !important;
    bottom: 0 !important;
    width: -moz-available !important;
    width: -webkit-fill-available !important;
    width: fill-available !important;
}

.headerMenu {
    background-color: transparent;
    border-radius: 10px;
    box-shadow: none;
    margin-right: 1px;
}

    .headerMenu:hover, .headerMenu:focus, .open > .dropdown-toggle.headerMenu {
        color: #fff !important;
        background-color: #354052;
        border-color: transparent;
        border-radius: 10px;
        box-shadow: none !important;
        margin-right: 1px;
    }

.hdSubmenuText {
    color: #354052 !important;
    padding: 3px 0px 3px 0px !important;
}

.dropdown-item:hover {
    background: #1d4f71 !important;
    color: #fff !important;
    text-decoration: none !important;
}

.bckgrdNone {
    background-color: transparent !important;
}

    .bckgrdNone:hover {
        background-color: transparent !important;
    }

.dropdown-toggle::after {
    display: none !important;
}

.hdMenuIcon {
    margin: 0px 0px 3px 5px;
}

.dx-calendar-navigator-next-view.dx-button .dx-icon, .dx-calendar-navigator-previous-view.dx-button .dx-icon {
    margin-left: 0px;
    margin-top: 0px;
}
/*
.dx-datagrid .dx-loadpanel-content # {
    display: none;
}*/

.password-icon {
    float: right;
    position: relative;
    margin: -25px 10px 0 0;
    cursor: pointer;
}


.dx-radiobutton-icon-checked .dx-radiobutton-icon-dot {
    margin-top: -20px !important;
    margin-left: 1px !important;
}

.botones-en-linea {
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
    align-items: center;
    gap: 15px;
    margin-bottom: 10px;
}

    .botones-en-linea .dx-button {
        flex: 0 0 auto;
        height: 40px;
        min-width: 130px;
    }

/* Azul */
.btn-azul .dx-button-content {
    background-color: #007bff !important;
    color: white !important;
    border-radius: 6px;
}

/* Verde (ya es Success, por si quieres hacerlo más vivo) */
.dx-button-success .dx-button-content {
    background-color: #28a745 !important;
    color: white !important;
    border-radius: 6px;
}

/* Gris */
.btn-gris .dx-button-content {
    background-color: #6c757d !important;
    color: white !important;
    border-radius: 6px;
}

/* Efecto hover */
.btn-azul .dx-button-content:hover {
    background-color: #0056b3 !important;
}

.btn-gris .dx-button-content:hover {
    background-color: #5a6268 !important;
}


/*para espacio de altura de las tarjetas*/

.card-body {
    padding: 0.5rem !important;
}

.card-header {
    padding: 0.4rem !important;
}

.card-footer {
    padding: 0.3rem !important;
    font-size: 14px;
}

table.table-sm td,
table.table-sm th {
    padding: 0.25rem !important;
    line-height: 1.1;
    vertical-align: middle;
}

h4, h5 {
    margin: 0 !important;
    line-height: 1.2;
}

.bg-turquesa {
    background-color: #00939F !important;
    color: #ffffff;
}

.bg-gray-40 {
    background-color: rgba(0, 0, 0, 0.25);
}

.border-gray {
    border-color: rgba(0, 0, 0, 0.4) !important; /* gris 40% */
}
